Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network141.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
141.0.0.0
Broadcast address
141.255.255.255
First usable
141.0.0.1
Last usable
141.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex 8D000000 · Integer 2365587456 to 2382364671
Reverse DNS zone
141.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001101..00000000.00000000.00000000141.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10001101..00000000.00000000.00000000141.0.0.0
Broadcast10001101..11111111.11111111.11111111141.255.255.255
Split into smaller subnets/15

141.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1141.0.0.0/15141.0.0.1 to 141.1.255.254141.1.255.255131,070
2141.2.0.0/15141.2.0.1 to 141.3.255.254141.3.255.255131,070
3141.4.0.0/15141.4.0.1 to 141.5.255.254141.5.255.255131,070
4141.6.0.0/15141.6.0.1 to 141.7.255.254141.7.255.255131,070
5141.8.0.0/15141.8.0.1 to 141.9.255.254141.9.255.255131,070
6141.10.0.0/15141.10.0.1 to 141.11.255.254141.11.255.255131,070
7141.12.0.0/15141.12.0.1 to 141.13.255.254141.13.255.255131,070
8141.14.0.0/15141.14.0.1 to 141.15.255.254141.15.255.255131,070
9141.16.0.0/15141.16.0.1 to 141.17.255.254141.17.255.255131,070
10141.18.0.0/15141.18.0.1 to 141.19.255.254141.19.255.255131,070
11141.20.0.0/15141.20.0.1 to 141.21.255.254141.21.255.255131,070
12141.22.0.0/15141.22.0.1 to 141.23.255.254141.23.255.255131,070
13141.24.0.0/15141.24.0.1 to 141.25.255.254141.25.255.255131,070
14141.26.0.0/15141.26.0.1 to 141.27.255.254141.27.255.255131,070
15141.28.0.0/15141.28.0.1 to 141.29.255.254141.29.255.255131,070
16141.30.0.0/15141.30.0.1 to 141.31.255.254141.31.255.255131,070
17141.32.0.0/15141.32.0.1 to 141.33.255.254141.33.255.255131,070
18141.34.0.0/15141.34.0.1 to 141.35.255.254141.35.255.255131,070
19141.36.0.0/15141.36.0.1 to 141.37.255.254141.37.255.255131,070
20141.38.0.0/15141.38.0.1 to 141.39.255.254141.39.255.255131,070
21141.40.0.0/15141.40.0.1 to 141.41.255.254141.41.255.255131,070
22141.42.0.0/15141.42.0.1 to 141.43.255.254141.43.255.255131,070
23141.44.0.0/15141.44.0.1 to 141.45.255.254141.45.255.255131,070
24141.46.0.0/15141.46.0.1 to 141.47.255.254141.47.255.255131,070
25141.48.0.0/15141.48.0.1 to 141.49.255.254141.49.255.255131,070
26141.50.0.0/15141.50.0.1 to 141.51.255.254141.51.255.255131,070
27141.52.0.0/15141.52.0.1 to 141.53.255.254141.53.255.255131,070
28141.54.0.0/15141.54.0.1 to 141.55.255.254141.55.255.255131,070
29141.56.0.0/15141.56.0.1 to 141.57.255.254141.57.255.255131,070
30141.58.0.0/15141.58.0.1 to 141.59.255.254141.59.255.255131,070
31141.60.0.0/15141.60.0.1 to 141.61.255.254141.61.255.255131,070
32141.62.0.0/15141.62.0.1 to 141.63.255.254141.63.255.255131,070
33141.64.0.0/15141.64.0.1 to 141.65.255.254141.65.255.255131,070
34141.66.0.0/15141.66.0.1 to 141.67.255.254141.67.255.255131,070
35141.68.0.0/15141.68.0.1 to 141.69.255.254141.69.255.255131,070
36141.70.0.0/15141.70.0.1 to 141.71.255.254141.71.255.255131,070
37141.72.0.0/15141.72.0.1 to 141.73.255.254141.73.255.255131,070
38141.74.0.0/15141.74.0.1 to 141.75.255.254141.75.255.255131,070
39141.76.0.0/15141.76.0.1 to 141.77.255.254141.77.255.255131,070
40141.78.0.0/15141.78.0.1 to 141.79.255.254141.79.255.255131,070
41141.80.0.0/15141.80.0.1 to 141.81.255.254141.81.255.255131,070
42141.82.0.0/15141.82.0.1 to 141.83.255.254141.83.255.255131,070
43141.84.0.0/15141.84.0.1 to 141.85.255.254141.85.255.255131,070
44141.86.0.0/15141.86.0.1 to 141.87.255.254141.87.255.255131,070
45141.88.0.0/15141.88.0.1 to 141.89.255.254141.89.255.255131,070
46141.90.0.0/15141.90.0.1 to 141.91.255.254141.91.255.255131,070
47141.92.0.0/15141.92.0.1 to 141.93.255.254141.93.255.255131,070
48141.94.0.0/15141.94.0.1 to 141.95.255.254141.95.255.255131,070
49141.96.0.0/15141.96.0.1 to 141.97.255.254141.97.255.255131,070
50141.98.0.0/15141.98.0.1 to 141.99.255.254141.99.255.255131,070
51141.100.0.0/15141.100.0.1 to 141.101.255.254141.101.255.255131,070
52141.102.0.0/15141.102.0.1 to 141.103.255.254141.103.255.255131,070
53141.104.0.0/15141.104.0.1 to 141.105.255.254141.105.255.255131,070
54141.106.0.0/15141.106.0.1 to 141.107.255.254141.107.255.255131,070
55141.108.0.0/15141.108.0.1 to 141.109.255.254141.109.255.255131,070
56141.110.0.0/15141.110.0.1 to 141.111.255.254141.111.255.255131,070
57141.112.0.0/15141.112.0.1 to 141.113.255.254141.113.255.255131,070
58141.114.0.0/15141.114.0.1 to 141.115.255.254141.115.255.255131,070
59141.116.0.0/15141.116.0.1 to 141.117.255.254141.117.255.255131,070
60141.118.0.0/15141.118.0.1 to 141.119.255.254141.119.255.255131,070
61141.120.0.0/15141.120.0.1 to 141.121.255.254141.121.255.255131,070
62141.122.0.0/15141.122.0.1 to 141.123.255.254141.123.255.255131,070
63141.124.0.0/15141.124.0.1 to 141.125.255.254141.125.255.255131,070
64141.126.0.0/15141.126.0.1 to 141.127.255.254141.127.255.255131,070
65141.128.0.0/15141.128.0.1 to 141.129.255.254141.129.255.255131,070
66141.130.0.0/15141.130.0.1 to 141.131.255.254141.131.255.255131,070
67141.132.0.0/15141.132.0.1 to 141.133.255.254141.133.255.255131,070
68141.134.0.0/15141.134.0.1 to 141.135.255.254141.135.255.255131,070
69141.136.0.0/15141.136.0.1 to 141.137.255.254141.137.255.255131,070
70141.138.0.0/15141.138.0.1 to 141.139.255.254141.139.255.255131,070
71141.140.0.0/15141.140.0.1 to 141.141.255.254141.141.255.255131,070
72141.142.0.0/15141.142.0.1 to 141.143.255.254141.143.255.255131,070
73141.144.0.0/15141.144.0.1 to 141.145.255.254141.145.255.255131,070
74141.146.0.0/15141.146.0.1 to 141.147.255.254141.147.255.255131,070
75141.148.0.0/15141.148.0.1 to 141.149.255.254141.149.255.255131,070
76141.150.0.0/15141.150.0.1 to 141.151.255.254141.151.255.255131,070
77141.152.0.0/15141.152.0.1 to 141.153.255.254141.153.255.255131,070
78141.154.0.0/15141.154.0.1 to 141.155.255.254141.155.255.255131,070
79141.156.0.0/15141.156.0.1 to 141.157.255.254141.157.255.255131,070
80141.158.0.0/15141.158.0.1 to 141.159.255.254141.159.255.255131,070
81141.160.0.0/15141.160.0.1 to 141.161.255.254141.161.255.255131,070
82141.162.0.0/15141.162.0.1 to 141.163.255.254141.163.255.255131,070
83141.164.0.0/15141.164.0.1 to 141.165.255.254141.165.255.255131,070
84141.166.0.0/15141.166.0.1 to 141.167.255.254141.167.255.255131,070
85141.168.0.0/15141.168.0.1 to 141.169.255.254141.169.255.255131,070
86141.170.0.0/15141.170.0.1 to 141.171.255.254141.171.255.255131,070
87141.172.0.0/15141.172.0.1 to 141.173.255.254141.173.255.255131,070
88141.174.0.0/15141.174.0.1 to 141.175.255.254141.175.255.255131,070
89141.176.0.0/15141.176.0.1 to 141.177.255.254141.177.255.255131,070
90141.178.0.0/15141.178.0.1 to 141.179.255.254141.179.255.255131,070
91141.180.0.0/15141.180.0.1 to 141.181.255.254141.181.255.255131,070
92141.182.0.0/15141.182.0.1 to 141.183.255.254141.183.255.255131,070
93141.184.0.0/15141.184.0.1 to 141.185.255.254141.185.255.255131,070
94141.186.0.0/15141.186.0.1 to 141.187.255.254141.187.255.255131,070
95141.188.0.0/15141.188.0.1 to 141.189.255.254141.189.255.255131,070
96141.190.0.0/15141.190.0.1 to 141.191.255.254141.191.255.255131,070
97141.192.0.0/15141.192.0.1 to 141.193.255.254141.193.255.255131,070
98141.194.0.0/15141.194.0.1 to 141.195.255.254141.195.255.255131,070
99141.196.0.0/15141.196.0.1 to 141.197.255.254141.197.255.255131,070
100141.198.0.0/15141.198.0.1 to 141.199.255.254141.199.255.255131,070
101141.200.0.0/15141.200.0.1 to 141.201.255.254141.201.255.255131,070
102141.202.0.0/15141.202.0.1 to 141.203.255.254141.203.255.255131,070
103141.204.0.0/15141.204.0.1 to 141.205.255.254141.205.255.255131,070
104141.206.0.0/15141.206.0.1 to 141.207.255.254141.207.255.255131,070
105141.208.0.0/15141.208.0.1 to 141.209.255.254141.209.255.255131,070
106141.210.0.0/15141.210.0.1 to 141.211.255.254141.211.255.255131,070
107141.212.0.0/15141.212.0.1 to 141.213.255.254141.213.255.255131,070
108141.214.0.0/15141.214.0.1 to 141.215.255.254141.215.255.255131,070
109141.216.0.0/15141.216.0.1 to 141.217.255.254141.217.255.255131,070
110141.218.0.0/15141.218.0.1 to 141.219.255.254141.219.255.255131,070
111141.220.0.0/15141.220.0.1 to 141.221.255.254141.221.255.255131,070
112141.222.0.0/15141.222.0.1 to 141.223.255.254141.223.255.255131,070
113141.224.0.0/15141.224.0.1 to 141.225.255.254141.225.255.255131,070
114141.226.0.0/15141.226.0.1 to 141.227.255.254141.227.255.255131,070
115141.228.0.0/15141.228.0.1 to 141.229.255.254141.229.255.255131,070
116141.230.0.0/15141.230.0.1 to 141.231.255.254141.231.255.255131,070
117141.232.0.0/15141.232.0.1 to 141.233.255.254141.233.255.255131,070
118141.234.0.0/15141.234.0.1 to 141.235.255.254141.235.255.255131,070
119141.236.0.0/15141.236.0.1 to 141.237.255.254141.237.255.255131,070
120141.238.0.0/15141.238.0.1 to 141.239.255.254141.239.255.255131,070
121141.240.0.0/15141.240.0.1 to 141.241.255.254141.241.255.255131,070
122141.242.0.0/15141.242.0.1 to 141.243.255.254141.243.255.255131,070
123141.244.0.0/15141.244.0.1 to 141.245.255.254141.245.255.255131,070
124141.246.0.0/15141.246.0.1 to 141.247.255.254141.247.255.255131,070
125141.248.0.0/15141.248.0.1 to 141.249.255.254141.249.255.255131,070
126141.250.0.0/15141.250.0.1 to 141.251.255.254141.251.255.255131,070
127141.252.0.0/15141.252.0.1 to 141.253.255.254141.253.255.255131,070
128141.254.0.0/15141.254.0.1 to 141.255.255.254141.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses